<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="AdventureWorksDW2012DataSet" targetNamespace="http://tempuri.org/AdventureWorksDW2012DataSet.xsd" xmlns:mstns="http://tempuri.org/AdventureWorksDW2012DataSet.xsd" xmlns="http://tempuri.org/AdventureWorksDW2012DataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="AdventureWorksDW2012ConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="AdventureWorksDW2012ConnectionString (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.DMX_Query_through_Application.Properties.Settings.GlobalReference.Default.AdventureWorksDW2012ConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="ProspectiveBuyerTableAdapter" GeneratorDataComponentClassName="ProspectiveBuyerTableAdapter" Name="ProspectiveBuyer" UserDataComponentName="ProspectiveBuyerTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="AdventureWorksDW2012ConnectionString (Settings)" DbObjectName="AdventureWorksDW2012.dbo.ProspectiveBuyer" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [dbo].[ProspectiveBuyer] WHERE (([ProspectiveBuyerKey] = @Original_ProspectiveBuyerKey) AND ((@IsNull_ProspectAlternateKey = 1 AND [ProspectAlternateKey] IS NULL) OR ([ProspectAlternateKey] = @Original_ProspectAlternateKey)) AND ((@IsNull_FirstName = 1 AND [FirstName] IS NULL) OR ([FirstName] = @Original_FirstName)) AND ((@IsNull_MiddleName = 1 AND [MiddleName] IS NULL) OR ([MiddleName] = @Original_MiddleName)) AND ((@IsNull_LastName = 1 AND [LastName] IS NULL) OR ([LastName] = @Original_LastName)) AND ((@IsNull_BirthDate = 1 AND [BirthDate] IS NULL) OR ([BirthDate] = @Original_BirthDate)) AND ((@IsNull_MaritalStatus = 1 AND [MaritalStatus] IS NULL) OR ([MaritalStatus] = @Original_MaritalStatus)) AND ((@IsNull_Gender = 1 AND [Gender] IS NULL) OR ([Gender] = @Original_Gender)) AND ((@IsNull_EmailAddress = 1 AND [EmailAddress] IS NULL) OR ([EmailAddress] = @Original_EmailAddress)) AND ((@IsNull_YearlyIncome = 1 AND [YearlyIncome] IS NULL) OR ([YearlyIncome] = @Original_YearlyIncome)) AND ((@IsNull_TotalChildren = 1 AND [TotalChildren] IS NULL) OR ([TotalChildren] = @Original_TotalChildren)) AND ((@IsNull_NumberChildrenAtHome = 1 AND [NumberChildrenAtHome] IS NULL) OR ([NumberChildrenAtHome] = @Original_NumberChildrenAtHome)) AND ((@IsNull_Education = 1 AND [Education] IS NULL) OR ([Education] = @Original_Education)) AND ((@IsNull_Occupation = 1 AND [Occupation] IS NULL) OR ([Occupation] = @Original_Occupation)) AND ((@IsNull_HouseOwnerFlag = 1 AND [HouseOwnerFlag] IS NULL) OR ([HouseOwnerFlag] = @Original_HouseOwnerFlag)) AND ((@IsNull_NumberCarsOwned = 1 AND [NumberCarsOwned] IS NULL) OR ([NumberCarsOwned] = @Original_NumberCarsOwned)) AND ((@IsNull_AddressLine1 = 1 AND [AddressLine1] IS NULL) OR ([AddressLine1] = @Original_AddressLine1)) AND ((@IsNull_AddressLine2 = 1 AND [AddressLine2] IS NULL) OR ([AddressLine2] = @Original_AddressLine2)) AND ((@IsNull_City = 1 AND [City] IS NULL) OR ([City] = @Original_City)) AND ((@IsNull_StateProvinceCode = 1 AND [StateProvinceCode] IS NULL) OR ([StateProvinceCode] = @Original_StateProvinceCode)) AND ((@IsNull_PostalCode = 1 AND [PostalCode] IS NULL) OR ([PostalCode] = @Original_PostalCode)) AND ((@IsNull_Phone = 1 AND [Phone] IS NULL) OR ([Phone] = @Original_Phone)) AND ((@IsNull_Salutation = 1 AND [Salutation] IS NULL) OR ([Salutation] = @Original_Salutation)) AND ((@IsNull_Unknown = 1 AND [Unknown] IS NULL) OR ([Unknown] = @Original_Unknown)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_ProspectiveBuyerKey" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ProspectiveBuyerKey" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ProspectAlternateKey" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ProspectAlternateKey" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_ProspectAlternateKey" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="ProspectAlternateKey" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_FirstName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="FirstName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_FirstName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="FirstName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MiddleName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MiddleName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_MiddleName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="MiddleName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_LastName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="LastName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_LastName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="LastName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_BirthDate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="BirthDate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_BirthDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="BirthDate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MaritalStatus" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MaritalStatus" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Original_MaritalStatus" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="MaritalStatus" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Gender" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Gender" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Gender" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Gender" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_EmailAddress" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="EmailAddress" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_EmailAddress" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="EmailAddress" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_YearlyIncome" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="YearlyIncome" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Currency" Direction="Input" ParameterName="@Original_YearlyIncome" Precision="0" ProviderType="Money" Scale="0" Size="0" SourceColumn="YearlyIncome" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_TotalChildren" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TotalChildren" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Byte" Direction="Input" ParameterName="@Original_TotalChildren" Precision="0" ProviderType="TinyInt" Scale="0" Size="0" SourceColumn="TotalChildren" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_NumberChildrenAtHome" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="NumberChildrenAtHome" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Byte" Direction="Input" ParameterName="@Original_NumberChildrenAtHome" Precision="0" ProviderType="TinyInt" Scale="0" Size="0" SourceColumn="NumberChildrenAtHome" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Education" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Education" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Education" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Education" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Occupation" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Occupation" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Occupation" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Occupation" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_HouseOwnerFlag" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="HouseOwnerFlag" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Original_HouseOwnerFlag" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="HouseOwnerFlag" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_NumberCarsOwned" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="NumberCarsOwned" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Byte" Direction="Input" ParameterName="@Original_NumberCarsOwned" Precision="0" ProviderType="TinyInt" Scale="0" Size="0" SourceColumn="NumberCarsOwned" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_AddressLine1" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="AddressLine1" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_AddressLine1" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="AddressLine1" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_AddressLine2" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="AddressLine2" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_AddressLine2" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="AddressLine2" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_City" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="City" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_City" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="City" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_StateProvinceCode" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="StateProvinceCode" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_StateProvinceCode" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="StateProvinceCode" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PostalCode" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PostalCode" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_PostalCode" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="PostalCode" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Phone" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Phone" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Phone" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Phone" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Salutation" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Salutation" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Salutation" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Salutation" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Unknown" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Unknown" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_Unknown" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Unknown" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [dbo].[ProspectiveBuyer] ([ProspectAlternateKey], [FirstName], [MiddleName], [LastName], [BirthDate], [MaritalStatus], [Gender], [EmailAddress], [YearlyIncome], [TotalChildren], [NumberChildrenAtHome], [Education], [Occupation], [HouseOwnerFlag], [NumberCarsOwned], [AddressLine1], [AddressLine2], [City], [StateProvinceCode], [PostalCode], [Phone], [Salutation], [Unknown]) VALUES (@ProspectAlternateKey, @FirstName, @MiddleName, @LastName, @BirthDate, @MaritalStatus, @Gender, @EmailAddress, @YearlyIncome, @TotalChildren, @NumberChildrenAtHome, @Education, @Occupation, @HouseOwnerFlag, @NumberCarsOwned, @AddressLine1, @AddressLine2, @City, @StateProvinceCode, @PostalCode, @Phone, @Salutation, @Unknown);
SELECT ProspectiveBuyerKey, ProspectAlternateKey, FirstName, MiddleName, LastName, BirthDate, MaritalStatus, Gender, EmailAddress, YearlyIncome, TotalChildren, NumberChildrenAtHome, Education, Occupation, HouseOwnerFlag, NumberCarsOwned, AddressLine1, AddressLine2, City, StateProvinceCode, PostalCode, Phone, Salutation, Unknown FROM ProspectiveBuyer WHERE (ProspectiveBuyerKey = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@ProspectAlternateKey" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="ProspectAlternateKey" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@FirstName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="FirstName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@MiddleName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="MiddleName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@LastName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="LastName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@BirthDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="BirthDate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@MaritalStatus" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="MaritalStatus" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Gender" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Gender" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@EmailAddress" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="EmailAddress" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Currency" Direction="Input" ParameterName="@YearlyIncome" Precision="0" ProviderType="Money" Scale="0" Size="0" SourceColumn="YearlyIncome" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Byte" Direction="Input" ParameterName="@TotalChildren" Precision="0" ProviderType="TinyInt" Scale="0" Size="0" SourceColumn="TotalChildren" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Byte" Direction="Input" ParameterName="@NumberChildrenAtHome" Precision="0" ProviderType="TinyInt" Scale="0" Size="0" SourceColumn="NumberChildrenAtHome" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Education" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Education" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Occupation" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Occupation" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@HouseOwnerFlag" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="HouseOwnerFlag" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Byte" Direction="Input" ParameterName="@NumberCarsOwned" Precision="0" ProviderType="TinyInt" Scale="0" Size="0" SourceColumn="NumberCarsOwned" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@AddressLine1" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="AddressLine1" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@AddressLine2" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="AddressLine2" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@City" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="City" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@StateProvinceCode" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="StateProvinceCode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@PostalCode" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="PostalCode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Phone" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Phone" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Salutation" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Salutation" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Unknown" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Unknown" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT ProspectiveBuyerKey, ProspectAlternateKey, FirstName, MiddleName, LastName, BirthDate, MaritalStatus, Gender, EmailAddress, YearlyIncome, TotalChildren, NumberChildrenAtHome, Education, Occupation, HouseOwnerFlag, NumberCarsOwned, AddressLine1, AddressLine2, City, StateProvinceCode, PostalCode, Phone, Salutation, Unknown FROM dbo.ProspectiveBuyer</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [dbo].[ProspectiveBuyer] SET [ProspectAlternateKey] = @ProspectAlternateKey, [FirstName] = @FirstName, [MiddleName] = @MiddleName, [LastName] = @LastName, [BirthDate] = @BirthDate, [MaritalStatus] = @MaritalStatus, [Gender] = @Gender, [EmailAddress] = @EmailAddress, [YearlyIncome] = @YearlyIncome, [TotalChildren] = @TotalChildren, [NumberChildrenAtHome] = @NumberChildrenAtHome, [Education] = @Education, [Occupation] = @Occupation, [HouseOwnerFlag] = @HouseOwnerFlag, [NumberCarsOwned] = @NumberCarsOwned, [AddressLine1] = @AddressLine1, [AddressLine2] = @AddressLine2, [City] = @City, [StateProvinceCode] = @StateProvinceCode, [PostalCode] = @PostalCode, [Phone] = @Phone, [Salutation] = @Salutation, [Unknown] = @Unknown WHERE (([ProspectiveBuyerKey] = @Original_ProspectiveBuyerKey) AND ((@IsNull_ProspectAlternateKey = 1 AND [ProspectAlternateKey] IS NULL) OR ([ProspectAlternateKey] = @Original_ProspectAlternateKey)) AND ((@IsNull_FirstName = 1 AND [FirstName] IS NULL) OR ([FirstName] = @Original_FirstName)) AND ((@IsNull_MiddleName = 1 AND [MiddleName] IS NULL) OR ([MiddleName] = @Original_MiddleName)) AND ((@IsNull_LastName = 1 AND [LastName] IS NULL) OR ([LastName] = @Original_LastName)) AND ((@IsNull_BirthDate = 1 AND [BirthDate] IS NULL) OR ([BirthDate] = @Original_BirthDate)) AND ((@IsNull_MaritalStatus = 1 AND [MaritalStatus] IS NULL) OR ([MaritalStatus] = @Original_MaritalStatus)) AND ((@IsNull_Gender = 1 AND [Gender] IS NULL) OR ([Gender] = @Original_Gender)) AND ((@IsNull_EmailAddress = 1 AND [EmailAddress] IS NULL) OR ([EmailAddress] = @Original_EmailAddress)) AND ((@IsNull_YearlyIncome = 1 AND [YearlyIncome] IS NULL) OR ([YearlyIncome] = @Original_YearlyIncome)) AND ((@IsNull_TotalChildren = 1 AND [TotalChildren] IS NULL) OR ([TotalChildren] = @Original_TotalChildren)) AND ((@IsNull_NumberChildrenAtHome = 1 AND [NumberChildrenAtHome] IS NULL) OR ([NumberChildrenAtHome] = @Original_NumberChildrenAtHome)) AND ((@IsNull_Education = 1 AND [Education] IS NULL) OR ([Education] = @Original_Education)) AND ((@IsNull_Occupation = 1 AND [Occupation] IS NULL) OR ([Occupation] = @Original_Occupation)) AND ((@IsNull_HouseOwnerFlag = 1 AND [HouseOwnerFlag] IS NULL) OR ([HouseOwnerFlag] = @Original_HouseOwnerFlag)) AND ((@IsNull_NumberCarsOwned = 1 AND [NumberCarsOwned] IS NULL) OR ([NumberCarsOwned] = @Original_NumberCarsOwned)) AND ((@IsNull_AddressLine1 = 1 AND [AddressLine1] IS NULL) OR ([AddressLine1] = @Original_AddressLine1)) AND ((@IsNull_AddressLine2 = 1 AND [AddressLine2] IS NULL) OR ([AddressLine2] = @Original_AddressLine2)) AND ((@IsNull_City = 1 AND [City] IS NULL) OR ([City] = @Original_City)) AND ((@IsNull_StateProvinceCode = 1 AND [StateProvinceCode] IS NULL) OR ([StateProvinceCode] = @Original_StateProvinceCode)) AND ((@IsNull_PostalCode = 1 AND [PostalCode] IS NULL) OR ([PostalCode] = @Original_PostalCode)) AND ((@IsNull_Phone = 1 AND [Phone] IS NULL) OR ([Phone] = @Original_Phone)) AND ((@IsNull_Salutation = 1 AND [Salutation] IS NULL) OR ([Salutation] = @Original_Salutation)) AND ((@IsNull_Unknown = 1 AND [Unknown] IS NULL) OR ([Unknown] = @Original_Unknown)));
SELECT ProspectiveBuyerKey, ProspectAlternateKey, FirstName, MiddleName, LastName, BirthDate, MaritalStatus, Gender, EmailAddress, YearlyIncome, TotalChildren, NumberChildrenAtHome, Education, Occupation, HouseOwnerFlag, NumberCarsOwned, AddressLine1, AddressLine2, City, StateProvinceCode, PostalCode, Phone, Salutation, Unknown FROM ProspectiveBuyer WHERE (ProspectiveBuyerKey = @ProspectiveBuyerKey)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@ProspectAlternateKey" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="ProspectAlternateKey" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@FirstName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="FirstName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@MiddleName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="MiddleName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@LastName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="LastName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@BirthDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="BirthDate" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@MaritalStatus" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="MaritalStatus" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Gender" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Gender" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@EmailAddress" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="EmailAddress" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Currency" Direction="Input" ParameterName="@YearlyIncome" Precision="0" ProviderType="Money" Scale="0" Size="0" SourceColumn="YearlyIncome" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Byte" Direction="Input" ParameterName="@TotalChildren" Precision="0" ProviderType="TinyInt" Scale="0" Size="0" SourceColumn="TotalChildren" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Byte" Direction="Input" ParameterName="@NumberChildrenAtHome" Precision="0" ProviderType="TinyInt" Scale="0" Size="0" SourceColumn="NumberChildrenAtHome" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Education" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Education" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Occupation" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Occupation" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@HouseOwnerFlag" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="HouseOwnerFlag" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Byte" Direction="Input" ParameterName="@NumberCarsOwned" Precision="0" ProviderType="TinyInt" Scale="0" Size="0" SourceColumn="NumberCarsOwned" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@AddressLine1" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="AddressLine1" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@AddressLine2" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="AddressLine2" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@City" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="City" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@StateProvinceCode" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="StateProvinceCode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@PostalCode" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="PostalCode" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Phone" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Phone" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Salutation" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Salutation" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Unknown" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Unknown" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_ProspectiveBuyerKey" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ProspectiveBuyerKey" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_ProspectAlternateKey" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ProspectAlternateKey" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_ProspectAlternateKey" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="ProspectAlternateKey" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_FirstName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="FirstName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_FirstName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="FirstName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MiddleName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MiddleName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_MiddleName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="MiddleName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_LastName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="LastName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_LastName" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="LastName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_BirthDate" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="BirthDate" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="@Original_BirthDate" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="BirthDate" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MaritalStatus" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MaritalStatus" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Original_MaritalStatus" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="MaritalStatus" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Gender" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Gender" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Gender" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Gender" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_EmailAddress" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="EmailAddress" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_EmailAddress" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="EmailAddress" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_YearlyIncome" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="YearlyIncome" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Currency" Direction="Input" ParameterName="@Original_YearlyIncome" Precision="0" ProviderType="Money" Scale="0" Size="0" SourceColumn="YearlyIncome" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_TotalChildren" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="TotalChildren" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Byte" Direction="Input" ParameterName="@Original_TotalChildren" Precision="0" ProviderType="TinyInt" Scale="0" Size="0" SourceColumn="TotalChildren" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_NumberChildrenAtHome" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="NumberChildrenAtHome" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Byte" Direction="Input" ParameterName="@Original_NumberChildrenAtHome" Precision="0" ProviderType="TinyInt" Scale="0" Size="0" SourceColumn="NumberChildrenAtHome" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Education" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Education" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Education" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Education" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Occupation" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Occupation" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Occupation" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Occupation" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_HouseOwnerFlag" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="HouseOwnerFlag" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Original_HouseOwnerFlag" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="HouseOwnerFlag" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_NumberCarsOwned" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="NumberCarsOwned" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Byte" Direction="Input" ParameterName="@Original_NumberCarsOwned" Precision="0" ProviderType="TinyInt" Scale="0" Size="0" SourceColumn="NumberCarsOwned" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_AddressLine1" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="AddressLine1" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_AddressLine1" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="AddressLine1" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_AddressLine2" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="AddressLine2" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_AddressLine2" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="AddressLine2" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_City" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="City" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_City" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="City" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_StateProvinceCode" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="StateProvinceCode" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_StateProvinceCode" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="StateProvinceCode" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_PostalCode" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="PostalCode" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_PostalCode" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="PostalCode" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Phone" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Phone" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Phone" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Phone" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Salutation" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Salutation" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Original_Salutation" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Salutation" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Unknown" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Unknown" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Original_Unknown" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Unknown" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="ProspectiveBuyerKey" ColumnName="ProspectiveBuyerKey" DataSourceName="AdventureWorksDW2012.dbo.ProspectiveBuyer" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@ProspectiveBuyerKey" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="ProspectiveBuyerKey" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="ProspectiveBuyerKey" DataSetColumn="ProspectiveBuyerKey" />
              <Mapping SourceColumn="ProspectAlternateKey" DataSetColumn="ProspectAlternateKey" />
              <Mapping SourceColumn="FirstName" DataSetColumn="FirstName" />
              <Mapping SourceColumn="MiddleName" DataSetColumn="MiddleName" />
              <Mapping SourceColumn="LastName" DataSetColumn="LastName" />
              <Mapping SourceColumn="BirthDate" DataSetColumn="BirthDate" />
              <Mapping SourceColumn="MaritalStatus" DataSetColumn="MaritalStatus" />
              <Mapping SourceColumn="Gender" DataSetColumn="Gender" />
              <Mapping SourceColumn="EmailAddress" DataSetColumn="EmailAddress" />
              <Mapping SourceColumn="YearlyIncome" DataSetColumn="YearlyIncome" />
              <Mapping SourceColumn="TotalChildren" DataSetColumn="TotalChildren" />
              <Mapping SourceColumn="NumberChildrenAtHome" DataSetColumn="NumberChildrenAtHome" />
              <Mapping SourceColumn="Education" DataSetColumn="Education" />
              <Mapping SourceColumn="Occupation" DataSetColumn="Occupation" />
              <Mapping SourceColumn="HouseOwnerFlag" DataSetColumn="HouseOwnerFlag" />
              <Mapping SourceColumn="NumberCarsOwned" DataSetColumn="NumberCarsOwned" />
              <Mapping SourceColumn="AddressLine1" DataSetColumn="AddressLine1" />
              <Mapping SourceColumn="AddressLine2" DataSetColumn="AddressLine2" />
              <Mapping SourceColumn="City" DataSetColumn="City" />
              <Mapping SourceColumn="StateProvinceCode" DataSetColumn="StateProvinceCode" />
              <Mapping SourceColumn="PostalCode" DataSetColumn="PostalCode" />
              <Mapping SourceColumn="Phone" DataSetColumn="Phone" />
              <Mapping SourceColumn="Salutation" DataSetColumn="Salutation" />
              <Mapping SourceColumn="Unknown" DataSetColumn="Unknown" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="AdventureWorksDW2012DataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="AdventureWorksDW2012DataSet" msprop:Generator_UserDSName="AdventureWorksDW2012DataSet">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="ProspectiveBuyer" msprop:Generator_TableClassName="ProspectiveBuyerDataTable" msprop:Generator_TableVarName="tableProspectiveBuyer" msprop:Generator_RowChangedName="ProspectiveBuyerRowChanged" msprop:Generator_TablePropName="ProspectiveBuyer" msprop:Generator_RowDeletingName="ProspectiveBuyerRowDeleting" msprop:Generator_RowChangingName="ProspectiveBuyerRowChanging" msprop:Generator_RowEvHandlerName="ProspectiveBuyerRowChangeEventHandler" msprop:Generator_RowDeletedName="ProspectiveBuyerRowDeleted" msprop:Generator_RowClassName="ProspectiveBuyerRow" msprop:Generator_UserTableName="ProspectiveBuyer" msprop:Generator_RowEvArgName="ProspectiveBuyerRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="ProspectiveBuyerKey" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnProspectiveBuyerKey" msprop:Generator_ColumnPropNameInRow="ProspectiveBuyerKey" msprop:Generator_ColumnPropNameInTable="ProspectiveBuyerKeyColumn" msprop:Generator_UserColumnName="ProspectiveBuyerKey" type="xs:int" />
              <xs:element name="ProspectAlternateKey" msprop:Generator_ColumnVarNameInTable="columnProspectAlternateKey" msprop:Generator_ColumnPropNameInRow="ProspectAlternateKey" msprop:Generator_ColumnPropNameInTable="ProspectAlternateKeyColumn" msprop:Generator_UserColumnName="ProspectAlternateKey" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="15" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="FirstName" msprop:Generator_ColumnVarNameInTable="columnFirstName" msprop:Generator_ColumnPropNameInRow="FirstName" msprop:Generator_ColumnPropNameInTable="FirstNameColumn" msprop:Generator_UserColumnName="FirstName" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="MiddleName" msprop:Generator_ColumnVarNameInTable="columnMiddleName" msprop:Generator_ColumnPropNameInRow="MiddleName" msprop:Generator_ColumnPropNameInTable="MiddleNameColumn" msprop:Generator_UserColumnName="MiddleName" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="LastName" msprop:Generator_ColumnVarNameInTable="columnLastName" msprop:Generator_ColumnPropNameInRow="LastName" msprop:Generator_ColumnPropNameInTable="LastNameColumn" msprop:Generator_UserColumnName="LastName" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="BirthDate" msprop:Generator_ColumnVarNameInTable="columnBirthDate" msprop:Generator_ColumnPropNameInRow="BirthDate" msprop:Generator_ColumnPropNameInTable="BirthDateColumn" msprop:Generator_UserColumnName="BirthDate" type="xs:dateTime" minOccurs="0" />
              <xs:element name="MaritalStatus" msprop:Generator_ColumnVarNameInTable="columnMaritalStatus" msprop:Generator_ColumnPropNameInRow="MaritalStatus" msprop:Generator_ColumnPropNameInTable="MaritalStatusColumn" msprop:Generator_UserColumnName="MaritalStatus" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="1" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Gender" msprop:Generator_ColumnVarNameInTable="columnGender" msprop:Generator_ColumnPropNameInRow="Gender" msprop:Generator_ColumnPropNameInTable="GenderColumn" msprop:Generator_UserColumnName="Gender" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="1" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="EmailAddress" msprop:Generator_ColumnVarNameInTable="columnEmailAddress" msprop:Generator_ColumnPropNameInRow="EmailAddress" msprop:Generator_ColumnPropNameInTable="EmailAddressColumn" msprop:Generator_UserColumnName="EmailAddress" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="YearlyIncome" msprop:Generator_ColumnVarNameInTable="columnYearlyIncome" msprop:Generator_ColumnPropNameInRow="YearlyIncome" msprop:Generator_ColumnPropNameInTable="YearlyIncomeColumn" msprop:Generator_UserColumnName="YearlyIncome" type="xs:decimal" minOccurs="0" />
              <xs:element name="TotalChildren" msprop:Generator_ColumnVarNameInTable="columnTotalChildren" msprop:Generator_ColumnPropNameInRow="TotalChildren" msprop:Generator_ColumnPropNameInTable="TotalChildrenColumn" msprop:Generator_UserColumnName="TotalChildren" type="xs:unsignedByte" minOccurs="0" />
              <xs:element name="NumberChildrenAtHome" msprop:Generator_ColumnVarNameInTable="columnNumberChildrenAtHome" msprop:Generator_ColumnPropNameInRow="NumberChildrenAtHome" msprop:Generator_ColumnPropNameInTable="NumberChildrenAtHomeColumn" msprop:Generator_UserColumnName="NumberChildrenAtHome" type="xs:unsignedByte" minOccurs="0" />
              <xs:element name="Education" msprop:Generator_ColumnVarNameInTable="columnEducation" msprop:Generator_ColumnPropNameInRow="Education" msprop:Generator_ColumnPropNameInTable="EducationColumn" msprop:Generator_UserColumnName="Education" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="40" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Occupation" msprop:Generator_ColumnVarNameInTable="columnOccupation" msprop:Generator_ColumnPropNameInRow="Occupation" msprop:Generator_ColumnPropNameInTable="OccupationColumn" msprop:Generator_UserColumnName="Occupation" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="HouseOwnerFlag" msprop:Generator_ColumnVarNameInTable="columnHouseOwnerFlag" msprop:Generator_ColumnPropNameInRow="HouseOwnerFlag" msprop:Generator_ColumnPropNameInTable="HouseOwnerFlagColumn" msprop:Generator_UserColumnName="HouseOwnerFlag" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="1" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="NumberCarsOwned" msprop:Generator_ColumnVarNameInTable="columnNumberCarsOwned" msprop:Generator_ColumnPropNameInRow="NumberCarsOwned" msprop:Generator_ColumnPropNameInTable="NumberCarsOwnedColumn" msprop:Generator_UserColumnName="NumberCarsOwned" type="xs:unsignedByte" minOccurs="0" />
              <xs:element name="AddressLine1" msprop:Generator_ColumnVarNameInTable="columnAddressLine1" msprop:Generator_ColumnPropNameInRow="AddressLine1" msprop:Generator_ColumnPropNameInTable="AddressLine1Column" msprop:Generator_UserColumnName="AddressLine1" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="120" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="AddressLine2" msprop:Generator_ColumnVarNameInTable="columnAddressLine2" msprop:Generator_ColumnPropNameInRow="AddressLine2" msprop:Generator_ColumnPropNameInTable="AddressLine2Column" msprop:Generator_UserColumnName="AddressLine2" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="120" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="City" msprop:Generator_ColumnVarNameInTable="columnCity" msprop:Generator_ColumnPropNameInRow="City" msprop:Generator_ColumnPropNameInTable="CityColumn" msprop:Generator_UserColumnName="City" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="30" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="StateProvinceCode" msprop:Generator_ColumnVarNameInTable="columnStateProvinceCode" msprop:Generator_ColumnPropNameInRow="StateProvinceCode" msprop:Generator_ColumnPropNameInTable="StateProvinceCodeColumn" msprop:Generator_UserColumnName="StateProvinceCode" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="3" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="PostalCode" msprop:Generator_ColumnVarNameInTable="columnPostalCode" msprop:Generator_ColumnPropNameInRow="PostalCode" msprop:Generator_ColumnPropNameInTable="PostalCodeColumn" msprop:Generator_UserColumnName="PostalCode" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="15" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Phone" msprop:Generator_ColumnVarNameInTable="columnPhone" msprop:Generator_ColumnPropNameInRow="Phone" msprop:Generator_ColumnPropNameInTable="PhoneColumn" msprop:Generator_UserColumnName="Phone" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Salutation" msprop:Generator_ColumnVarNameInTable="columnSalutation" msprop:Generator_ColumnPropNameInRow="Salutation" msprop:Generator_ColumnPropNameInTable="SalutationColumn" msprop:Generator_UserColumnName="Salutation" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="8" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Unknown" msprop:Generator_ColumnVarNameInTable="columnUnknown" msprop:Generator_ColumnPropNameInRow="Unknown" msprop:Generator_ColumnPropNameInTable="UnknownColumn" msprop:Generator_UserColumnName="Unknown" type="xs:int" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:ProspectiveBuyer" />
      <xs:field xpath="mstns:ProspectiveBuyerKey" />
    </xs:unique>
  </xs:element>
</xs:schema>